Subject: Re: [PATCH 3/6] Consolidate of_find_property

From: Segher Boessenkool <[email-masked]>
Date: Wed, 25 Apr 2007 15:13:31 +0200

>> The question is, what ppc drivers would break if we used strcmp
>> instead of strcasecmp?  I have a dim memory that some Apple machines
>> had "ata" and others had "ATA" for the hard disk, for instance.
>
> ata/ATA and ide/IDE is the main one that comes to mind, but I wouldn't
> exclude something like Powermac vs. PowerMac or that sort of thing... I
> remember a case related bug about 2 years ago but can't find what it
> was ...
>
> I think it's safe to settle on strcasecmp for most things for now

Yes, it's hard to imagine any case where strcasecmp(),
although technically incorrect, would break anything.
Please document in the code that is _is_ wrong and _why_
it is done though.

Segher